# Uses of Interface
org.eclipse.jface.bindings.keys.IKeyLookup

Packages that use IKeyLookup
Package
Description
org.eclipse.jface.bindings.keys
Provides support for bindings between commands and keys.

## Uses of IKeyLookup in org.eclipse.jface.bindings.keys

Classes in org.eclipse.jface.bindings.keys that implement IKeyLookup
Modifier and Type
Class
Description
`final class`
`SWTKeyLookup`
A look-up table for the formal grammar for keys, and the integer values they represent.
Methods in org.eclipse.jface.bindings.keys that return IKeyLookup
Modifier and Type
Method
Description
`static final IKeyLookup`
KeyLookupFactory.`getDefault()`
An accessor for the current default look-up.
`static final IKeyLookup`
KeyLookupFactory.`getSWTKeyLookup()`
Provides an instance of `SWTKeyLookup`.
Methods in org.eclipse.jface.bindings.keys with parameters of type IKeyLookup
Modifier and Type
Method
Description
`static final void`
KeyLookupFactory.`setDefault(IKeyLookup defaultLookup)`
Sets the default look-up.